View Issue Details

IDProjectCategoryView StatusLast Update
0003443FreeCADFeaturepublic2018-10-07 21:30
ReporterbfriedmanAssigned Towmayer 
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
PlatformWindowsOSWindows 10OS VersionWindows 10
Product Version0.17 
Target Version0.18Fixed in Version0.18 
Summary0003443: FreeCAD should ignore 'create new document at startup' if given files at command-line
DescriptionAs per this forum thread:

https://forum.freecadweb.org/viewtopic.php?f=8&t=28178

FreeCAD currently (0.17.12852 (Git)) pedantically adheres to the 'create new document at startup' preference. Even when specifying which files to open at the command-line. Probably, it should not open a new document when being told what to open otherwise; even when that preference is set to true.

Alternatively, if that suggestion is not an acceptable change in behavior, I'd suggest adding a command-line flag or syntax to override the behavior of the preference from the command-line.

Use case quoted from above:

I am pipelining FreeCAD into a larger content management system.

I have it to the point that my system opens FreeCAD via command-line and specifies a file to open in that command-line.

However, when I open FreeCAD this way, it pedantically adheres to the preference for, "create new document at startup."

That is to say: I end up with two files open if this preference is set to True. First, the one I specified on the command-line, and also a new, "Unnamed" file. And yes, if I turn off that preference, I get just the file on the command-line without the "Unnamed" file.



Steps To ReproduceTurn on the user preference: Create New Document at Startup
Close FreeCAD
Open a command-line and use it to start FreeCAD specifying a file to open on the command-line
You will see it creates a new "Unnamed" document along side the one it opened.
Additional InformationOS: Windows 10
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.12852 (Git)
Build type: Release
Branch: master
Hash: 8e3b2d7e84924444bc219133a7e0bbd07413cf4f
Python version: 2.7.8
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 7.1.0
Locale: English/UnitedStates (en_US)
TagsNo tags attached.

Issue History

Date Modified Username Field Change
2018-04-23 14:18 bfriedman New Issue
2018-04-23 20:41 Kunda1 Target Version => 0.18
2018-10-06 05:51 TheMarkster Note Added: 0011940
2018-10-07 21:30 wmayer Assigned To => wmayer
2018-10-07 21:30 wmayer Status new => closed
2018-10-07 21:30 wmayer Resolution open => fixed
2018-10-07 21:30 wmayer Fixed in Version => 0.18
2018-10-07 21:30 wmayer Note Added: 0011960